/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLOptGroupElement_H__
#define __GdomHTMLOptGroupElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLOptGroupElement GdomHTMLOptGroupElement;
typedef struct _GdomHTMLOptGroupElementClass GdomHTMLOptGroupElementClass;


#define GDOM_TYPE_HTML_OPT_GROUP_ELEMENT            (gdom_html_opt_group_element_get_type())
#define GDOM_HTML_OPT_GROUP_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_OPT_GROUP_ELEMENT, GdomHTMLOptGroupElement))
#define GDOM_HTML_OPT_GROUP_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_OPT_GROUP_ELEMENT, GdomHTMLOptGroupElement)Class)
#define GDOM_IS_HTML_OPT_GROUP_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_OPT_GROUP_ELEMENT))
#define GDOM_IS_HTML_OPT_GROUP_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_OPT_GROUP_ELEMENT))
#define GDOM_HTML_OPT_GROUP_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_OPT_GROUP_ELEMENT, GdomHTMLOptGroupElementClass))

typedef struct _GdomHTMLOptGroupElementPrivate GdomHTMLOptGroupElementPrivate;

struct _GdomHTMLOptGroupElement {
    GdomHTMLElement parent_instance;
    GdomHTMLOptGroupElementPrivate *priv;
};

struct _GdomHTMLOptGroupElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_opt_group_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLOptGroupElement_H__ */
